Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 248310 - Make ini-file support interdependent library
Make ini-file support interdependent library
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Ini files
8.1
All All
: P3 (vote)
: 8.1
Assigned To: Tomas Mysik
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-31 12:00 UTC by theghostdog
Modified: 2015-02-26 12:14 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
IDE log (46.86 KB, text/plain)
2015-02-20 13:05 UTC, Vladimir Riha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description theghostdog 2014-10-31 12:00:57 UTC
Hallo,

in my projects, I have to handle a number of ini-files, but these projects are don't using PHP. Thus, it would be cool, to install an ini-file support, without installing the Zend and PHP related stuff. In addition, defining the comment separator (e.g. # instead ; ) project specific, would also very useful.

best
Comment 1 Tomas Mysik 2014-10-31 12:21:30 UTC
(In reply to theghostdog from comment #0)
> Thus, it would be cool, to install an ini-file support,
> without installing the Zend and PHP related stuff.

Could be done quite easily I guess.

> In addition, defining the
> comment separator (e.g. # instead ; ) project specific, would also very
> useful.

Unfortunately, no time for it in this release, sorry :/ Would you like to have a look at it? If yes, just let me know.

Thanks.
Comment 2 theghostdog 2014-11-04 16:21:46 UTC
Hey Tomas,

this sounds quite good for me. Let me know, if you ready to provided a look :D
Comment 3 Tomas Mysik 2015-01-29 11:21:47 UTC
Support for INI files should be now visible in the Plugin manager, thanks.

http://hg.netbeans.org/web-main/rev/00a5a7d2e680
Comment 4 Quality Engineering 2015-01-30 04:20:45 UTC
Integrated into 'main-silver', will be available in build *201501300002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/00a5a7d2e680
User: Tomas Mysik <tmysik@netbeans.org>
Log: #248310 - Make ini-file support interdependent library
Comment 5 Vladimir Riha 2015-02-20 13:04:56 UTC
Unfortunately does not work for me.

What I did:
 - use JavaSE distro
 - install "INI File Editor Support"
 - invoke New File wizard on java package 
 => INI file is not in the wizard. If I have existing INI file in project, it has no syntax coloring and the "white empty icon" instead of std INI file icon.



Product Version: NetBeans IDE Dev (Build 201502200001)
Java: 1.8.0_25; Java HotSpot(TM) Client VM 25.25-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_25-b17
System: Linux version 3.13.0-35-generic running on i386; UTF-8; en_US (nb)
Comment 6 Vladimir Riha 2015-02-20 13:05:10 UTC
Created attachment 152115 [details]
IDE log
Comment 7 Tomas Mysik 2015-02-20 13:08:32 UTC
The reason is that INI support is part of webcommon cluster so you need HTML5 or PHP distro. I would keep it so and change it later if necessary.

BTW isn't possible to install INI support via Plugin manager?

Thanks.
Comment 8 Vladimir Riha 2015-02-20 13:26:31 UTC
Sorry, I missed the "plugin" in

   install "INI File Editor Support" PLUGIN (from plugin manager)


in previous comment.
Comment 9 Tomas Mysik 2015-02-20 14:01:33 UTC
Hm, the plugin is not active and cannot be activated, hard to say why... will try to investigate it.

Thanks.
Comment 10 Tomas Mysik 2015-02-23 06:30:34 UTC
Should be finxed now, thanks for catching that.

http://hg.netbeans.org/web-main/rev/d333eb23f7cd
Comment 11 Quality Engineering 2015-02-24 23:47:10 UTC
Integrated into 'main-silver', will be available in build *201502242039* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d333eb23f7cd
User: Tomas Mysik <tmysik@netbeans.org>
Log: #248310 cont'd - Make ini-file support interdependent library
Comment 12 Vladimir Riha 2015-02-26 12:14:14 UTC
Thanks, verified

Product Version: NetBeans IDE Dev (Build 201502260001)
Java: 1.7.0_71; Java HotSpot(TM) Client VM 24.71-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_71-b14
System: Linux version 3.13.0-35-generic running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo